- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
WPSPageSpan Class Reference

`#include <WPSPageSpan.h>`

## Public Types
enum | FormOrientation { PORTRAIT, LANDSCAPE }
enum | HeaderFooterType { HEADER, FOOTER }
enum | HeaderFooterOccurence { ODD, EVEN, ALL, NEVER }
enum | PageNumberPosition { None = 0, TopLeft, TopCenter, TopRight, TopLeftAndRight, TopInsideLeftAndRight, BottomLeft, BottomCenter, BottomRight, BottomLeftAndRight, BottomInsideLeftAndRight }

## Public Member Functions
| WPSPageSpan ()
virtual | ~WPSPageSpan ()
double | getFormLength () const
double | getFormWidth () const
FormOrientation | getFormOrientation () const
double | getMarginLeft () const
double | getMarginRight () const
double | getMarginTop () const
double | getMarginBottom () const
PageNumberPosition | getPageNumberPosition () const
int | getPageNumber () const
libwps::NumberingType | getPageNumberingType () const
double | getPageNumberingFontSize () const
WPXString | getPageNumberingFontName () const
int | getPageSpan () const
const std::vector < WPSPageSpanInternal::HeaderFooterPtr > & | getHeaderFooterList () const
void | setHeaderFooter (const HeaderFooterType type, const HeaderFooterOccurence occurence, WPSSubDocumentPtr &subDocument)
void | setFormLength (const double formLength)
void | setFormWidth (const double formWidth)
void | setFormOrientation (const FormOrientation formOrientation)
void | setMarginLeft (const double marginLeft)
void | setMarginRight (const double marginRight)
void | setMarginTop (const double marginTop)
void | setMarginBottom (const double marginBottom)
void | setPageNumberPosition (const PageNumberPosition pageNumberPosition)
void | setPageNumber (const int pageNumber)
void | setPageNumberingType (const libwps::NumberingType pageNumberingType)
void | setPageNumberingFontSize (const double pageNumberingFontSize)
void | setPageNumberingFontName (const WPXString &pageNumberingFontName)
void | setPageSpan (const int pageSpan)
bool | operator== (shared_ptr< WPSPageSpan > const &pageSpan) const
bool | operator!= (shared_ptr< WPSPageSpan > const &pageSpan) const

## Protected Member Functions
void | getPageProperty (WPXPropertyList &pList) const
void | sendHeaderFooters (WPSContentListener *listener, WPXDocumentInterface *documentInterface)
int | _getHeaderFooterPosition (HeaderFooterType type, HeaderFooterOccurence occurence)
void | _setHeaderFooter (HeaderFooterType type, HeaderFooterOccurence occurence, WPSSubDocumentPtr &doc)
void | _removeHeaderFooter (HeaderFooterType type, HeaderFooterOccurence occurence)
bool | _containsHeaderFooter (HeaderFooterType type, HeaderFooterOccurence occurence)
void | _insertPageNumberParagraph (WPXDocumentInterface *documentInterface)

## Private Attributes
double | m_formLength
double | m_formWidth
FormOrientation | m_formOrientation
double | m_marginLeft
double | m_marginRight
double | m_marginTop
double | m_marginBottom
PageNumberPosition | m_pageNumberPosition
int | m_pageNumber
libwps::NumberingType | m_pageNumberingType
WPXString | m_pageNumberingFontName
double | m_pageNumberingFontSize
std::vector < WPSPageSpanInternal::HeaderFooterPtr > | m_headerFooterList
int | m_pageSpan

## Friends
class | WPSContentListener

## Member Enumeration Documentation

enum WPSPageSpan::FormOrientation

Enumerator
PORTRAIT |
LANDSCAPE |

enum WPSPageSpan::HeaderFooterOccurence

Enumerator
ODD |
EVEN |
ALL |
NEVER |

enum WPSPageSpan::HeaderFooterType

Enumerator
HEADER |
FOOTER |

enum WPSPageSpan::PageNumberPosition

Enumerator
None |
TopLeft |
TopCenter |
TopRight |
TopLeftAndRight |
TopInsideLeftAndRight |
BottomLeft |
BottomCenter |
BottomRight |
BottomLeftAndRight |
BottomInsideLeftAndRight |

## Constructor & Destructor Documentation

WPSPageSpan::WPSPageSpan | ( |  | ) |

WPSPageSpan::~WPSPageSpan | ( |  | ) |
| virtual

## Member Function Documentation

bool WPSPageSpan::_containsHeaderFooter | ( | HeaderFooterType | type,
|  | HeaderFooterOccurence | occurence
| ) |  |
| protected

Referenced by setHeaderFooter().

int WPSPageSpan::_getHeaderFooterPosition | ( | HeaderFooterType | type,
|  | HeaderFooterOccurence | occurence
| ) |  |
| protected

Referenced by _containsHeaderFooter(), _removeHeaderFooter(), and _setHeaderFooter().

void WPSPageSpan::_insertPageNumberParagraph | ( | WPXDocumentInterface * | documentInterface | ) |
| protected

Referenced by sendHeaderFooters().

void WPSPageSpan::_removeHeaderFooter | ( | HeaderFooterType | type,
|  | HeaderFooterOccurence | occurence
| ) |  |
| protected

Referenced by setHeaderFooter().

void WPSPageSpan::_setHeaderFooter | ( | HeaderFooterType | type,
|  | HeaderFooterOccurence | occurence,
|  | WPSSubDocumentPtr & | doc
| ) |  |
| protected

Referenced by setHeaderFooter().

double WPSPageSpan::getFormLength | ( |  | ) | const
| inline

Referenced by WPSContentListener::_openPageSpan(), getPageProperty(), and WPS8Parser::readDocProperties().

FormOrientation WPSPageSpan::getFormOrientation | ( |  | ) | const
| inline

Referenced by WPSContentListener::_openPageSpan(), and getPageProperty().

double WPSPageSpan::getFormWidth | ( |  | ) | const
| inline

Referenced by WPSContentListener::_openPageSpan(), getPageProperty(), and WPS8Parser::readDocProperties().

const std::vector<WPSPageSpanInternal::HeaderFooterPtr>& WPSPageSpan::getHeaderFooterList | ( |  | ) | const
| inline

double WPSPageSpan::getMarginBottom | ( |  | ) | const
| inline

Referenced by WPSContentListener::_openPageSpan(), getPageProperty(), and operator==().

double WPSPageSpan::getMarginLeft | ( |  | ) | const
| inline

Referenced by WPSContentListener::_openPageSpan(), getPageProperty(), and operator==().

double WPSPageSpan::getMarginRight | ( |  | ) | const
| inline

Referenced by WPSContentListener::_openPageSpan(), getPageProperty(), and operator==().

double WPSPageSpan::getMarginTop | ( |  | ) | const
| inline

Referenced by WPSContentListener::_openPageSpan(), getPageProperty(), and operator==().

int WPSPageSpan::getPageNumber | ( |  | ) | const
| inline

Referenced by WPSContentListener::_appendParagraphProperties(), and operator==().

WPXString WPSPageSpan::getPageNumberingFontName | ( |  | ) | const
| inline

Referenced by operator==().

double WPSPageSpan::getPageNumberingFontSize | ( |  | ) | const
| inline

Referenced by operator==().

libwps::NumberingType WPSPageSpan::getPageNumberingType | ( |  | ) | const
| inline

Referenced by operator==().

PageNumberPosition WPSPageSpan::getPageNumberPosition | ( |  | ) | const
| inline

Referenced by operator==().

void WPSPageSpan::getPageProperty | ( | WPXPropertyList & | pList | ) | const
| protected

Referenced by WPSContentListener::_openPageSpan().

int WPSPageSpan::getPageSpan | ( |  | ) | const
| inline

Referenced by WPSContentListener::_openPageSpan(), and getPageProperty().

bool WPSPageSpan::operator!= | ( | shared_ptr< WPSPageSpan > const & | pageSpan | ) | const
| inline

bool WPSPageSpan::operator== | ( | shared_ptr< WPSPageSpan > const & | pageSpan | ) | const

Referenced by operator!=().

void WPSPageSpan::sendHeaderFooters | ( | WPSContentListener * | listener,
|  | WPXDocumentInterface * | documentInterface
| ) |  |
| protected

Referenced by WPSContentListener::_openPageSpan().

void WPSPageSpan::setFormLength | ( | const double | formLength | ) |
| inline

Referenced by WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

void WPSPageSpan::setFormOrientation | ( | const FormOrientation | formOrientation | ) |
| inline

Referenced by WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

void WPSPageSpan::setFormWidth | ( | const double | formWidth | ) |
| inline

Referenced by WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

void WPSPageSpan::setHeaderFooter | ( | const HeaderFooterType | type,
|  | const HeaderFooterOccurence | occurence,
|  | WPSSubDocumentPtr & | subDocument
| ) |  |

Referenced by WPS8Parser::createListener(), and WPS4Parser::createListener().

void WPSPageSpan::setMarginBottom | ( | const double | marginBottom | ) |
| inline

Referenced by WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

void WPSPageSpan::setMarginLeft | ( | const double | marginLeft | ) |
| inline

Referenced by WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

void WPSPageSpan::setMarginRight | ( | const double | marginRight | ) |
| inline

Referenced by WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

void WPSPageSpan::setMarginTop | ( | const double | marginTop | ) |
| inline

Referenced by WPS4Parser::readDocDim(), and WPS8Parser::readDocProperties().

void WPSPageSpan::setPageNumber | ( | const int | pageNumber | ) |
| inline

void WPSPageSpan::setPageNumberingFontName | ( | const WPXString & | pageNumberingFontName | ) |
| inline

void WPSPageSpan::setPageNumberingFontSize | ( | const double | pageNumberingFontSize | ) |
| inline

void WPSPageSpan::setPageNumberingType | ( | const libwps::NumberingType | pageNumberingType | ) |
| inline

void WPSPageSpan::setPageNumberPosition | ( | const PageNumberPosition | pageNumberPosition | ) |
| inline

void WPSPageSpan::setPageSpan | ( | const int | pageSpan | ) |
| inline

## Friends And Related Function Documentation

friend class WPSContentListener
| friend

## Member Data Documentation

double WPSPageSpan::m_formLength
| private

Referenced by getFormLength(), operator==(), and setFormLength().

FormOrientation WPSPageSpan::m_formOrientation
| private

Referenced by getFormOrientation(), operator==(), and setFormOrientation().

double WPSPageSpan::m_formWidth
| private

Referenced by getFormWidth(), operator==(), and setFormWidth().

std::vector<WPSPageSpanInternal::HeaderFooterPtr> WPSPageSpan::m_headerFooterList
| private

Referenced by _containsHeaderFooter(), _getHeaderFooterPosition(), _removeHeaderFooter(), _setHeaderFooter(), getHeaderFooterList(), operator==(), and sendHeaderFooters().

double WPSPageSpan::m_marginBottom
| private

Referenced by getMarginBottom(), and setMarginBottom().

double WPSPageSpan::m_marginLeft
| private

Referenced by getMarginLeft(), and setMarginLeft().

double WPSPageSpan::m_marginRight
| private

Referenced by getMarginRight(), and setMarginRight().

double WPSPageSpan::m_marginTop
| private

Referenced by getMarginTop(), and setMarginTop().

int WPSPageSpan::m_pageNumber
| private

Referenced by getPageNumber(), and setPageNumber().

WPXString WPSPageSpan::m_pageNumberingFontName
| private

Referenced by _insertPageNumberParagraph(), getPageNumberingFontName(), and setPageNumberingFontName().

double WPSPageSpan::m_pageNumberingFontSize
| private

Referenced by _insertPageNumberParagraph(), getPageNumberingFontSize(), and setPageNumberingFontSize().

libwps::NumberingType WPSPageSpan::m_pageNumberingType
| private

Referenced by _insertPageNumberParagraph(), getPageNumberingType(), and setPageNumberingType().

PageNumberPosition WPSPageSpan::m_pageNumberPosition
| private

Referenced by _insertPageNumberParagraph(), getPageNumberPosition(), sendHeaderFooters(), and setPageNumberPosition().

int WPSPageSpan::m_pageSpan
| private

Referenced by getPageSpan(), and setPageSpan().

The documentation for this class was generated from the following files:

- WPSPageSpan.h
- WPSPageSpan.cpp